MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
TagPool.hxx File Reference
`#include "TagType.h"`
`#include "thread/Mutex.hxx"`
Include dependency graph for TagPool.hxx:

Go to the source code of this file.

## Functions
TagItem * | tag_pool_get_item (TagType type, StringView value)
TagItem * | tag_pool_dup_item (TagItem *item)
void | tag_pool_put_item (TagItem *item)

## Variables
Mutex | tag_pool_lock

## Function Documentation

TagItem* tag_pool_dup_item | ( | TagItem * | item | ) |

TagItem* tag_pool_get_item | ( | TagType | type,
|  | StringView | value
| ) |  |

void tag_pool_put_item | ( | TagItem * | item | ) |

## Variable Documentation

Mutex tag_pool_lock